.pageelement-booking-main {
    width: calc(45.0rem + (1400 - 720) * ((100vw - 50.0rem) / (1120)));
    margin: 0 auto 5rem auto;
}

.pageelement-module_booking-main .step h3 {
    font-size: 1.125rem;
}

.pageelement-module_booking-main p {
    color: #2b2b2b;
}

.pageelement-booking-main .step {
    width: 100%;
    background: #FEFEFE;
    color: #2b2b2b;
    margin-bottom: 0.9375rem;
    padding: 1.25rem;
    position: relative;
    border: solid #707070 0.125rem;
    transition: all .25s ease-in-out;
}

.pageelement-booking-main .step .headline {
    font-size: 1.125rem;
    line-height: 1.25rem;
    color: var(--darkblue);
}

.pageelement-booking-main .step.inactive .headline {
    color: #2b2b2b;
}

.pageelement-booking-main .step .headline .info {
    display: none;
    font-size: 0.875rem;
    color: #2b2b2b;
    font-family: "Open Sans", sans-serif;
}

.pageelement-booking-main .step.active .headline .info {
    display: inline-block;
    font-weight: 400;
}

.pageelement-booking-main .step.inactive {
    pointer-events: none;
    opacity: .75;
    user-select: none;
}

.pageelement-booking-main .step.hidden {
    display: none;
}

.pageelement-booking-main .step .overview {
    margin-top: 0.625rem;
    /*display: none;*/
}

.pageelement-booking-main .step.editable .overview{
    /*display: none*/;
}

.pageelement-booking-main .step .details {
    margin-top: 1.25rem;
    display: none;
}

.pageelement-booking-main .step .details select,
.pageelement-booking-main .step.price .price-checker .content select {
    border: solid 0.0625rem #707070;
    font-size: 1.125rem;
    font-family: "Open Sans", sans-serif;
    color: #2b2b2b;
    height: 3.75rem;
    width: 100%;
    max-width: 43.75rem;
    padding: 0.9375rem;
    display: block;
    appearance: none;
    -webkit-appearance: none;
    background: url(/_images/icons/angle-down-solid.svg) no-repeat white;
    background-size: 1.5625rem;
    background-position-x: calc(100% - 1.25rem);
    background-position-y: center;
}

.pageelement-booking-main .step .details select:focus-visible {
    outline: 0.1875rem solid var(--darkblue);
    outline-offset: 0.1875rem;
}

.pageelement-booking-main .step .button-edit {
    background: #fff;
    display: none;
    padding: 0.25rem 0.5625rem;
    border: solid 0.0625rem #707070;
    border-radius: 0.625rem;
    font-family: "Open Sans Bold", sans-serif;
    cursor: pointer;
    position: absolute;
    right: 0.9375rem;
    top: 0.9375rem;
}

.pageelement-booking-main .step .button-edit:hover {
    color: var(--darkblue);
    border-color: var(--darkblue);
}

.pageelement-booking-main .step.editable .button-edit {
    display: inline-block;
}

.pageelement-booking-main .step.editable .button-edit:before {
    content: '\f303';
    font-family: "Font Awesome 5 Pro", sans-serif;
    font-weight: 900;
    margin-right: 0.5rem;

}

.pageelement-booking-main .step.editable .button-edit:focus-visible {
    outline: 0.1875rem solid var(--darkblue);
    outline-offset: 0.1875rem;
}
.pageelement-booking-main .step.active {
    /*background: #fff;*/
    border: solid var(--darkblue) 0.125rem;
}

.pageelement-booking-main .step.active .details {
    display: block;
}

.pageelement-booking-main .step.active .details label,
.pageelement-booking-main .step.active .details legend {
    margin-bottom: 0.5rem;
}

.pageelement-booking-main .step.active .details label:has(+ .invalid),
.pageelement-booking-main .step.active .details legend:has(+ .invalid),
.pageelement-booking-main .step.active .details label:has(+ .custom-reference .invalid) {
    color: #B00020;
}

.pageelement-booking-main .step.active .details .radiobuttons-wrapper label {
    margin-bottom: unset;
}

.pageelement-booking-main .step.active .details .arrival,
.pageelement-booking-main .step.active .details .departure {
    display: flex;
    flex-flow: column;
}

.pageelement-booking-main .step.active .details .arrival {
    margin-bottom: 0.9375rem;
}

.pageelement-booking-main .step .button-insurance,
.pageelement-booking-main .step .button-pricechecker {
    border-radius: 0.625rem;
    font-size: 1.125rem;
    font-family: "Open Sans Bold", sans-serif;
    padding: 0.6rem 2rem;
    cursor: pointer;
    display: inline-block;
    margin-top: 1.25rem;
    border: 0.1875rem solid var(--lightblue);
}

.pageelement-booking-main .step .button-insurance:focus-visible,
.pageelement-booking-main .step .button-pricechecker:focus-visible {
    outline: var(--defaultform-outline);
    outline-offset: var(--defaultform-outline-offset);
}

.pageelement-booking-main .step .details .button-next,
.pageelement-booking-main .step .details .button-check-price,
.pageelement-booking-main .step .details .button-submit,
.pageelement-booking-main .step .button-final,
.pageelement-booking-main .step .button-finish {
    background: #ECECEC;
    border-radius: 0.625rem;
    font-size: 1.125rem;
    font-family: "Open Sans Bold", sans-serif;
    padding: 0.9375rem 3.125rem;
    cursor: pointer;
    display: inline-block;
    margin-top: 1.25rem;
}

.pageelement-booking-main .step .details .button-next:focus-visible,
.pageelement-booking-main .step .details .button-check-price:focus-visible,
.pageelement-booking-main .step .details .button-submit:focus-visible,
.pageelement-booking-main .step .button-final:focus-visible,
.pageelement-booking-main .step .button-finish:focus-visible {
    outline: 0.1875rem solid var(--darkblue);
    outline-offset: 0.1875rem;
}

.pageelement-booking-main .step .details .button-next,
.pageelement-booking-main .step.price .price-checker .content .button-book,
.pageelement-booking-main .step .details .button-check-price,
.pageelement-booking-main .step.price .price-checker .content .button-request,
.pageelement-booking-main .step .button-final,
.pageelement-booking-main .step .button-finish {
    background: var(--lightblue);
    color: #000;
    border: none;
}

.pageelement-booking-main .step .details .button-next:hover,
.pageelement-booking-main .step.price .price-checker .content .button-book:hover,
.pageelement-booking-main .step .details .button-check-price:hover,
.pageelement-booking-main .step.price .price-checker .content .button-request:hover,
.pageelement-booking-main .step .button-final:hover,
.pageelement-booking-main .step .button-finish:hover {
    background: var(--darkblue);
    color: #fff;
    border: none;
}

.pageelement-booking-main .step.price .details .button-check-price.waiting,
.pageelement-booking-main .step.extras .details .button-next.waiting {
    opacity: 0.5;
    pointer-events: none;
}

.pageelement-booking-main .step.timeframe input[type="date"] {
    width: 31.25rem;
    height: 3.75rem;
    border: solid 0.0625rem #707070;
    font-size: 1.125rem;
    padding: 1.25rem;
    max-width: 100%;
}

.pageelement-booking-main .step.timeframe input[type="radio"]:focus-visible {
    outline: none;
}

.pageelement-booking-main .step .details input:focus-visible {
    outline: 0.1875rem solid var(--darkblue);
    outline-offset: 0.1875rem;
}

.pageelement-booking-main .step.price .details {
    border-top: solid #707070 0.0625rem;
    margin-top: 0.5rem;
    width: fit-content;
}

.pageelement-booking-main .step.price .details .s-price,
.pageelement-booking-main .step.price .details .g-price,
.pageelement-booking-main .step.price .details .save {
    display: flex;
    justify-content: space-between;
}

.pageelement-booking-main .step.price .details .price-row {
    max-width: 37.5rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    border-bottom: solid #707070 0.0625rem;
    gap: 0.625rem;
}

.pageelement-booking-main .step.price .details .price-row.disclaimer .row:not(:last-child) {
    margin-bottom: 0.5rem;
}

.pageelement-booking-main .step.price .details .price-row.disclaimer a,
.pageelement-booking-main .step.price .overview .disclaimer a {
    text-decoration: underline;
    color: #2b2b2b;
}

.pageelement-booking-main .step.price .details .price-row.disclaimer a:focus-visible {
    outline: 0.1875rem solid var(--darkblue);
    outline-offset: 0.1875rem;
}

.pageelement-booking-main .step.price .details .price-row .price.loading,
.pageelement-booking-main .step.price .overview .price.loading,
.pageelement-booking-main .step.extras .details .loading {
    border-radius: 50%;
    border: 0.1875rem transparent solid;
    width: 1.25rem;
    min-width: 1.25rem;
    height: 1.25rem;
    border-left-color: var(--darkblue);
    text-indent: 100%;
    white-space: nowrap;
    overflow: hidden;
    animation: spin 1s linear infinite;
}
.pageelement-booking-main .step.extras .details .loading {
    margin-left: 0.625rem;
    display: inline-block;
}


@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.pageelement-booking-main .step.price .details .save {
    font-family: "Open Sans Bold", sans-serif;
}

.pageelement-booking-main .step.price .overview .price-container {
    display: flex;
    justify-content: space-between;
    max-width: 31.25rem;
    margin-top: 1.25rem;
    flex-flow: column;
}

.pageelement-booking-main .step.price .overview .price {
    font-family: 'Open Sans Bold', sans-serif;
    border-bottom: solid 0.0625rem #707070;
    padding-left: 0.8125rem;
}

.pageelement-booking-main .step.price:not(.editable) .overview .price {
    display: none;
}

.pageelement-booking-main .step.price .price-checker-bg {
    position: fixed;
    height: 100vh;
    width: 100vw;
    top: 0;
    left: 0;
    background: rgba(0,0,0,.5);
    display: none;
    z-index: 10;
}

.pageelement-booking-main .step.price .price-checker-bg .price-checker {
    width: 62.5rem;
    background: #ECECEC;
    border: solid 0.125rem #707070;
    padding: 1.25rem 2.1875rem;
    top: 50%;
    position: relative;
    left: 50%;
    transform: translate(-50%,-50%);
    overflow: hidden;
    max-height: 90vh;
    height: 43.75rem;
    min-height: 20vw;
}

.pageelement-booking-main .step.price .price-checker .price-checker-exit {
    position: absolute;
    top: 1.25rem;
    right: 2.1875rem;
    cursor: pointer;
}

.pageelement-booking-main .step.price .price-checker .price-checker-exit:before {
    content: '\f00d';
    font-family: 'Font Awesome 5 Pro', sans-serif;
    font-size: 1.625rem;
    line-height: 1.625rem;
    padding: 0 0.3125rem;
}

.pageelement-booking-main .step.price .price-checker .slider {
    overflow: hidden;
    height: 100%;
}

.pageelement-booking-main .step.price .price-checker .container {
    display: flex;
    width: fit-content;
    overflow: hidden;
    transition: transform .5s ease-in-out;
    will-change: transform, translate;
    height: 100%;
}

.pageelement-booking-main .step.price .price-checker .content {
    margin-top: 5.0rem;
    font-family: "Open Sans Bold", sans-serif;
    width: 57.875rem;
    margin-right: 0.3125rem;
    overflow-x: hidden;
    padding-bottom: 0.3125rem;
}

.pageelement-booking-main .step.price .price-checker .title {
    margin-bottom: 1.875rem;
    color: #2b2b2b;
}
.pageelement-booking-main .step.price .price-checker .text-container {
    margin-bottom: 0.625rem;
}
.pageelement-booking-main .step.price .price-checker .description {
    font-family: "Open Sans", sans-serif;
}

.pageelement-booking-main .step.price .price-checker .description a {
    color: #2b2b2b;
}

.pageelement-booking-main .step.price .price-checker .description a::before {
    font-family: "Font Awesome 5 Pro", sans-serif;
    font-weight: 900;
    content: "\f101";
    margin-right: 0.5rem;
    width: auto;
    text-decoration: none;
    display: inline-block;
}

.pageelement-booking-main .step.price .price-checker .content .info,
.pageelement-booking-main .step.price .price-checker .content .text {
    margin-top: 0.9375rem;
}

.pageelement-booking-main .step.price .price-checker .button-skip,
.pageelement-booking-main .step.price .price-checker .button-continue,
.pageelement-booking-main .step.price .price-checker .button-request,
.pageelement-booking-main .step.price .price-checker .button-book {
    border: 0.0625rem solid #707070;
    border-radius: 0.625rem;
    background: #fff;
    padding: 0.9375rem;
    display: inline-block;
    min-width: 15.625rem;
    text-align: center;
    margin-top: 1.25rem;
    margin-right: 1.5625rem;
    cursor: pointer;
}

.pageelement-booking-main .step.price .price-checker .button-skip.grey {
    background: #ECECEC;
}

.pageelement-booking-main .step.price .price-checker .button-continue.picked,
.pageelement-booking-main .step.price .price-checker .button-skip.picked {
    background: #A2C614;
    color: #fff;
    border: none;
}

.pageelement-booking-main .step.price .price-checker .button-back {
    position: absolute;
    top: 1.25rem;
    border: 0.0625rem solid #707070;
    border-radius: 0.625rem;
    background: #fff;
    padding: 0.3125rem 0.9375rem;
    cursor: pointer;
}

.pageelement-booking-main .step.price .price-checker .content .hidden {
    display: none;
}

.pageelement-booking-main .step.price .price-checker .content .option0 input,
.pageelement-booking-main .step.price .price-checker .content .option1 input {
    width: 43.75rem;
    height: 3.75rem;
    border: solid 0.0625rem #707070;
    font-size: 1.125rem;
    padding: 1.25rem;
    max-width: 100%;
    margin-bottom: 0.625rem;
}

.pageelement-booking-main .step.price .price-checker .content .s-price.hidden,
.pageelement-booking-main .step.price .price-checker .content .g-price.hidden,
.pageelement-booking-main .step.price .price-checker .content .steuer.hidden,
.pageelement-booking-main .step.price .price-checker .content .brutto.hidden,
.pageelement-booking-main .step.price .price-checker .content .text.hidden {
    display: none;
}

.pageelement-booking-main .step.price .price-checker .content.hidden {
    visibility: hidden;
}

.pageelement-booking-main .step.price .price-checker .content .g-price.box {
    background: #A2C614;
    color: #fff;
    /*text-align: center;*/
    padding: 1.25rem 0.8125rem;
    margin-top: 1.25rem;
}

.pageelement-booking-main .step.price .price-checker .content .g-price.box .message {
    border-bottom: solid #fff 0.0625rem;
    padding-bottom: 0.8125rem;
    margin-bottom: 0.375rem;
}

.pageelement-booking-main .step.price .price-checker .content .s-price.box {
    background: #FBB900;
    /*text-align: center;*/
    padding: 1.25rem 0.8125rem;
    color: #fff;
    margin-top: 1.25rem;
}

.pageelement-booking-main .step.price .price-checker .content .s-price.box .message {
    border-bottom: solid #fff 0.0625rem;
    padding-bottom: 0.8125rem;
    margin-bottom: 0.375rem;
    color: #fff;
}

.pageelement-booking-main .step.price .price-checker .content .limit.loading {
    border-radius: 50%;
    border: 0.1875rem transparent solid;
    width: 1.0rem;
    min-width: 1.0rem;
    height: 1.0rem;
    border-left-color: var(--darkblue);
    text-indent: 100%;
    white-space: nowrap;
    overflow: hidden;
    animation: spin 1s linear infinite;
    display: inline-block;
    margin-left: 0.3125rem;
    position: relative;
    top: 0.125rem;
}

.pageelement-booking-main .step.price .price-checker .content .button-continue.waiting {
    opacity: 0.5;
    pointer-events: none;
}


.pageelement-booking-main .step.price .button-pricechecker {
    border-radius: 0.625rem;
    font-size: 1.125rem;
    font-family: "Open Sans Bold", sans-serif;
    padding: 0.6rem 2rem;
    cursor: pointer;
    display: inline-block;
    margin-top: 1.25rem;
    border: 0.1875rem solid var(--lightblue);
    text-decoration: none !important;
    margin-bottom: 1.25rem;
    color: var(--black);
}

.pageelement-booking-main .step.price .button-pricechecker:hover {
    text-decoration: underline !important;
}

.pageelement-booking-main .step.price .button-pricechecker:focus-visible {
    outline: var(--defaultform-outline);
    outline-offset: var(--defaultform-outline-offset);
}

.pageelement-booking-main .step .labelcontainer {
    margin-bottom: 0.9375rem;
}

.pageelement-booking-main .step .labelcontainer.custom-reference {
    display: none;
}

.pageelement-booking-main .step .labelcontainer label {
    display: flex;
}

.pageelement-booking-main .step input[type="checkbox"] {
    transform: scale(1.5);
    margin-right: 0.75rem;
    margin-left: 0.3rem;
}

.pageelement-booking-main .step input[type="checkbox"]:focus-visible {
    outline: none;
}

.pageelement-booking-main .step.extras .checkbox-wrapper label,
.pageelement-booking-main .step.final .checkbox-wrapper label {
    margin-top: 0.5rem;
}

.pageelement-booking-main .step input.invalid,
.pageelement-booking-main .step select.invalid {
    border-color: #B00020 !important;
    border-width: 0.125rem !important;
}

.pageelement-booking-main .step .warning {
    color: #B00020;
    font-size: 1.125rem;
    font-family: "Open Sans Bold", sans-serif;
    padding: 0.625rem 0;
    /*background-color: #FFFFFF;*/
}

.pageelement-booking-main .step input[type='text'] {
    width: 43.75rem;
    max-width: 100%;
    height: 3.75rem;
    border: solid 0.0625rem #707070;
    font-size: 1.125rem;
    padding: 1.25rem;
    display: block;
}

.pageelement-booking-main .step textarea {
    width: 100%;
    max-width: 43.75rem;
    height: 12.5rem;
    border: solid 0.0625rem #707070;
    font-size: 1.125rem;
    padding: 1.25rem;
    margin-right: calc(100% - 31.25rem);
    margin-bottom: 0.9375rem;
    font-family: 'Open Sans', sans-serif;
}

.pageelement-booking-main .step .divider {
    padding-top: 0.9375rem;
    border-bottom: 0.0625rem #707070 solid;
    margin-bottom: 0.9375rem;
}

.pageelement-booking-main .step .switch-container {
    display: flex;
    align-items: center;
    margin: 0.625rem 0;
}


.pageelement-booking-main .step.data-person .title {
    font-family: 'Open Sans Bold', sans-serif;
    color: #2b2b2b;
    margin-bottom: 0.625rem;
}

.pageelement-booking-main .step.data-person input[type="date"] {
    width: 43.75rem;
    max-width: 100%;
    height: 3.75rem;
    border: solid 0.0625rem #707070;
    font-size: 1.125rem;
    padding: 1.25rem;
}

.pageelement-booking-main .step.data-person .checkbox-wrapper label {
    margin-bottom: unset;
}

/* The switch - the box around the slider */
.pageelement-booking-main .step.data-person .switch {
    position: relative;
    display: inline-block;
    width: 3.75rem;
    height: 2.125rem;
    margin: 0 0.9375rem;
}

/* Hide default HTML checkbox */
.pageelement-booking-main .step.data-person .switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

/* The slider */
.pageelement-booking-main .step.data-person .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.pageelement-booking-main .step.data-person .slider:before {
    position: absolute;
    content: "";
    height: 1.625rem;
    width: 1.625rem;
    left: 0.25rem;
    bottom: 0.25rem;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

.pageelement-booking-main .step.data-person input:checked + .slider {
    background-color: #a2c614;
}

.pageelement-booking-main .step.data-person input:focus-visible + .slider {
    box-shadow: 0 0 0.0625rem #a2c614;
}

.pageelement-booking-main .step.data-person input:checked + .slider:before {
    transform: translateX(1.625rem);
}

/* Rounded sliders */
.pageelement-booking-main .step.data-person .slider.round {
    border-radius: 2.125rem;
}

.pageelement-booking-main .step.data-person .slider.round:before {
    border-radius: 50%;
}

.pageelement-booking-main .step .participant-headline {
    font-family: 'Open Sans Bold',sans-serif;
    margin: 2.1875rem 0 0.625rem;
}

.pageelement-booking-main .step .custom-reference {
    margin-top: 0.9375rem;
}

.pageelement-booking-main .step.final .section {
    position: relative;
}

.pageelement-booking-main .step.final .intro {
    max-width: 37.5rem;
    font-family: 'Open Sans Bold',sans-serif;
    color: var(--darkblue);
}
.pageelement-booking-main .step.final .section .headline {
    color:#2b2b2b;
    margin-bottom: 0.3125rem;
}

.pageelement-booking-main .step.final .price-section {
    display: flex;
    gap: 5rem;
}

.pageelement-booking-main .step.final .price-container {
    display: flex;
    justify-content: space-between;
    max-width: 15.25rem;
}

.pageelement-booking-main .step.final .price-container .right-side {
    display: flex;
    justify-content: space-between;
    width: 10.3125rem;
}

.pageelement-booking-main .step.final .price-container .price.final {
    font-family: 'Open Sans Bold', sans-serif;
    border-bottom: solid 0.0625rem #707070;
    padding-left: 0.8125rem;
}

.pageelement-booking-main .step.final .price-container .total {
    font-family: 'Open Sans Bold', sans-serif;
}

.pageelement-booking-main .step.final .hint {
    margin-bottom: 1.25rem;
    margin-top: .25rem;
}

.pageelement-booking-main .step.final .text {
    max-width: 62.5rem;
}

.pageelement-booking-main .step.final .button-edit {
    position: absolute;
    top: -0.625rem;
    right: 0;
}

.pageelement-booking-main .step.final .section a {
    color: #2b2b2b;
}

.pageelement-booking-main .step.data-person .dse a {
    color: #2b2b2b;
}

.pageelement-booking-main .step.final .sect ion a:hover {
    text-decoration: underline;
}

.pageelement-booking-main .step.final .section a:focus-visible {
    outline: 0.1875rem solid var(--darkblue);
    outline-offset: 0.1875rem;
}

.pageelement-booking-main .step.success .headline {
    margin-bottom: 0.75rem;
}

.pageelement-booking-main .step input[type=text]:focus-visible,
.pageelement-booking-main .step.price .price-checker .content input:focus-visible {
    opacity: .9;
    border: 0.0625rem solid var(--darkblue);
}

.pageelement-booking-main .step select:focus-visible,
.pageelement-booking-main .step .price-checker .content select:focus-visible {
    opacity: .9;
    border: 0.0625rem solid var(--darkblue);
}

.pageelement-booking-main .step textarea:focus-visible {
    outline: 0.1875rem solid var(--darkblue);
    outline-offset: 0.1875rem;
}

@media screen and (max-width: 75.0rem) {
    .pageelement-booking-main .step.price .price-checker-bg .price-checker {
        width: 83vw;
    }

    .pageelement-booking-main .step.price .price-checker .content {
        width: calc(83vw - 4.625rem);
    }
}

@media screen and (max-width: 50.0rem) {
    .pageelement-booking-main {
        width: 80%;
    }
}

@media screen and (max-width: 32.5rem) {
    .pageelement-booking-main .step .headline {
        width: calc(100% - 2.7rem);
    }

    .pageelement-booking-main .step.final .price-section {
        flex-wrap: wrap;
        gap: 1rem;
        hyphens: auto;
    }

    .pageelement-booking-main .step .button-insurance,
    .pageelement-booking-main .step .button-pricechecker {
        font-size: 1rem;
        padding: 0.6rem 1rem;
        hyphens: auto;
    }

    .pageelement-booking-main .step.price .details .price-row.disclaimer a,
    .pageelement-booking-main .step.price .overview .disclaimer a {
        flex-wrap: wrap;
        gap: 1rem;
        hyphens: auto;
    }

    .pageelement-booking-main .step.price .details .price-row {
        flex-flow: column;
    }

    .pageelement-booking-main .step.price .button-pricechecker {
        font-size: 1rem;
        padding: 0.6rem 1rem;
        hyphens: auto;
    }

    .pageelement-booking-main .step.price .price-checker-bg .price-checker {
        width: 90vw;
        height: 85vh;
    }

    .pageelement-booking-main .step.price .price-checker .content {
        width: calc(90vw - 4.625rem);
    }

    .pageelement-booking-main .step .details .button-next,
    .pageelement-booking-main .step .details .button-check-price {
        padding: 0.625rem 1.5625rem;
        font-size: 1.0rem;
    }

    .pageelement-booking-main .step.price .price-checker .button-skip,
    .pageelement-booking-main .step.price .price-checker .button-continue,
    .pageelement-booking-main .step.price .price-checker .button-request,
    .pageelement-booking-main .step.price .price-checker .button-book {
        min-width: unset;
        width: 28.125rem;
        max-width: 100%;
    }

    .pageelement-booking-main .step .button-final,
    .pageelement-booking-main .button-finish,
    .pageelement-booking-main .step .details .button-next {
        text-align: center;
    }

    .pageelement-booking-main .step input[type="text"] {
        height: 3.125rem;
        font-size: 1.0rem;
        padding: 0.625rem;
    }

    .pageelement-booking-main .step input[type="text"]:focus-visible {
        outline: 0.1875rem solid var(--darkblue);
        outline-offset: 0.1875rem;
    }

    .pageelement-booking-main .step.editable .button-edit {
        width: 2.1875rem;
        overflow: hidden;
    }

    .pageelement-booking-main .step .button-edit {
        right: 0.625rem;
        top: 0.625rem;
    }

    .pageelement-booking-main .step .details select,
    .pageelement-booking-main .step.price .price-checker .content select {
        font-size: 1.0rem;
        height: 3.125rem;
        margin-bottom: 0.9375rem;
        padding: 0.625rem 1.875rem 0.625rem 0.625rem;
        background-size: 0.8125rem;
        background-position-x: calc(100% - 0.625rem);
    }

    .pageelement-booking-main .step.price .price-checker .content .option0 input,
    .pageelement-booking-main .step.price .price-checker .content .option1 input {
        font-size: 1.0rem;
        height: 3.125rem;
        margin-bottom: 0.9375rem;
        padding: 0.625rem;
    }

    .pageelement-booking-main .step.final .section .headline {
        padding-right: 1.875rem;
    }

    .section.price .price-container .right-side span:nth-child(2) {
        align-self: flex-end;
    }

    .pageelement-booking-main .step.final .button-edit {
        top: -0.625rem;
        right: -0.625rem;
    }

    .pageelement-booking-main .step.final .price-container .right-side {
        justify-content: flex-end;
        width: 5.8125rem;
    }

    .pageelement-booking-main .step.final .price-container .right-side span:not(.price) {
        display: none;
    }

    .section.price .price-container span {
        hyphens: auto;
    }

}

@media screen and (max-width: 22.5rem) {
    .pageelement-booking-main .step.timeframe .details input {
        background: #fff;
    }
}